
Foreman - Bug #2719

VMWare Compute Resource, "Hosts/<hostanme>/edit/Virtual Machine" shows wrong Network for the

the vm

06/27/2013 03:39 AM - Peter Gustafsson

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a vm using vmware compute resource the vm is created ok, but if i later edit the vm and select Virtual Machine tab it

shows wrong network for the vm in the Network field.

Br, Peter

History

#1 - 06/27/2013 02:56 PM - Ronny M

- File vmware-host-create.png added

- File created-host-in-vmware.png added

- File vmware-host-edit.png added

- File production.log added

Have same issue.

My setup:

VMWare Esxi 5.0.0 managed by VSphere (VMware vCenter Server 5.0.0.16964)

CentOS release 6.2 (Final)

Foreman 1.2 RC3

Attached files:

host-create.png            (screendump, just before I hit submit, with selected network: dvPortGroup)

created-host-in-vmware.png (screendump, shows dvPortGroup (dvSwitch2) in created vm)

vmware-host-edit.png       (screendump, shows network changed from dvPortGroup to "VM Network" when it edit host)

production.log             (debug-log, for create and edit actions)

#2 - 08/26/2013 11:53 AM - Peter Gustafsson

it is possible to prioritize this bug ? because it creates confusion for the users of foreman (When using vmware) they think vm's is located on wrong

network and it also causes clone of an vm to fail.

Br, Peter

#3 - 08/27/2013 07:07 AM - Lukas Zapletal

- Description updated

- Target version set to 1.3.0

Hello, I can assign it to 1.3 but I am afraid we have too many bugs there already. Not sure if we are able to pick it up.

Do you have a patch or something you can contribute? That would help a lot speeding up things :-)

Dev freeze is in two weeks! If you are able to submit some code, do it quick please.

#4 - 09/16/2013 12:23 PM - Lukas Zapletal

05/18/2024 1/2



- Target version deleted (1.3.0)

#5 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#6 - 06/10/2016 03:30 PM - Anonymous

what's the status here with newer foreman releases?

#7 - 12/30/2016 09:53 AM - Anonymous

- Status changed from New to Rejected

no reaction, closing

Files

vmware-host-create.png 138 KB 06/27/2013 Ronny M

created-host-in-vmware.png 47 KB 06/27/2013 Ronny M

vmware-host-edit.png 121 KB 06/27/2013 Ronny M

production.log 87.3 KB 06/27/2013 Ronny M
